import { OhosUrlListPlayer } from './OhosUrlListPlayer';
import premierlibrary from 'libpremierlibrary.so';
export class OhosSaasListPlayer extends OhosUrlListPlayer {
    constructor(s34, t34, u34, v34) {
        super(s34, t34, u34, v34);
    }
    addVid(q34, r34) {
        premierlibrary.nListAddVid(this, q34, r34);
    }
    setDefinition(p34) {
        premierlibrary.nListSetDefinition(this, p34);
    }
    moveToNextWithSts(n34, o34) {
        return premierlibrary.nListMoveToNextWithSts(this, n34, o34);
    }
    moveToPrevWithSts(m34) {
        return premierlibrary.nListMoveToPrevWithSts(this, m34);
    }
    moveToWithSts(k34, l34) {
        return premierlibrary.nListMoveToWithSts(this, l34, k34);
    }
    moveToNextWithAuthInfo(i34, j34) {
        return premierlibrary.nListMoveToNextWithPlayAuth(this, i34, j34);
    }
    moveToPrevWithAuthInfo(h34) {
        return premierlibrary.nListMoveToPrevWithPlayAuth(this, h34);
    }
    moveToWithAuthInfo(f34, g34) {
        return premierlibrary.nListMoveToWithPlayAuth(this, g34, f34);
    }
}
